@echo off

rem test if JAVA_HOME is already set in the system environment
if exist "%JAVA_HOME%\bin\javac.exe" goto ANT_BUILD

rem set JAVA_HOME according the environment.
set JAVA_HOME=C:\Javaeditor\jdk1.8

rem test if JAVA_HOME is set correctly now
if exist "%JAVA_HOME%\bin\javac.exe" goto ANT_BUILD

echo *
echo ******************************************************************************
echo * Error: system environment for JAVA_HOME not found!!!                       *
echo * Please correct the ant_build.bat file and set the JAVA_HOME path variable. *
echo ******************************************************************************
echo *
goto END

:ANT_BUILD
echo *  
echo *******************************************
echo * calling ant with build.xml              *
echo *******************************************
echo * 

@echo on

call ant

if errorlevel 1 goto ERROR

echo *  
echo *******************************************
echo * build process successfully finished.    *
echo *******************************************
echo *  

goto END

:ERROR
echo *
echo **************************************************************************
echo * Some Errors occured, stopping build !                                  *
echo **************************************************************************
echo *

:END
pause